//-*-c++-*-
#ifndef Tulip_SIZE_H
#define Tulip_SIZE_H
///
class Size
{
private:
  float w,h,d;
public:
  Size(const float w=0,const float h=0,const float d=0);
  ///
  void set(const float w=0,const float h=0,const float d=0);
  ///
  void set(const Size&);
  ///
  void setW(const float);
  ///
  void setH(const float);
  ///
  void setD(const float);
  ///
  float getW() const;
  ///
  float getH() const;
  ///
  float getD() const;
  ///
  float norm() const;
  ///
  void get(float &w, float &h, float &d) const;
  ///
  bool operator ==(const Size &) const;
  ///
  bool operator !=(const Size &) const;
};

#endif
